### Hierarchy

- ClientDataRepository

### Implemented by

- ClientDataRepositoryImpl

## Index

### Methods

- getData
- getFile
- updateData
- uploadFile

## Methods

### getData

- getData(id: string, fieldKey?: string | Array<string>): Promise<Map<string, string>>

- - Defined in repository/client/ClientDataRepository.ts:5

  #### Parameters

  - ##### id: string

  - ##### Optional fieldKey: string | Array<string>

  #### Returns Promise<Map<string, string>>

### getFile

- getFile(id: string, fileId: number): Promise<string>

- - Defined in repository/client/ClientDataRepository.ts:9

  #### Parameters

  - ##### id: string

  - ##### fileId: number

  #### Returns Promise<string>

### updateData

- updateData(id: string, data: Map<string, string>): Promise<Map<string, string>>

- - Defined in repository/client/ClientDataRepository.ts:7

  #### Parameters

  - ##### id: string

  - ##### data: Map<string, string>

  #### Returns Promise<Map<string, string>>

### uploadFile

- uploadFile(id: string, file: FileMeta, fileId?: number | null): Promise<FileMeta>

- - Defined in repository/client/ClientDataRepository.ts:11

  #### Parameters

  - ##### id: string

  - ##### file: FileMeta

  - ##### Optional fileId: number | null

  #### Returns Promise<FileMeta>

Generated using TypeDoc